> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/create_combo

> Verifies and creates a combo book or returns an existing combo matching the given trades. Combos allow trading on multiple instruments (futures and options) simultaneously as a single strategy.

If a combo matching the provided trades already exists, this method returns the existing combo. Otherwise, it creates a new combo book with the specified leg structure.

**Scope:** `rat#trade` or `wallet:buys:create`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcreate_combo)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/create_combo
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/create_combo:
    get:
      tags:
        - Combo Books
        - Matching Engine
        - Private
      description: >+
        Verifies and creates a combo book or returns an existing combo matching
        the given trades. Combos allow trading on multiple instruments (futures
        and options) simultaneously as a single strategy.


        If a combo matching the provided trades already exists, this method
        returns the existing combo. Otherwise, it creates a new combo book with
        the specified leg structure.


        **Scope:** `rat#trade` or `wallet:buys:create`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcreate_combo)

      parameters:
        - description: List of trades used to create a combo
          explode: true
          in: query
          name: trades
          required: true
          schema:
            items:
              properties:
                amount:
                  $ref: '#/components/schemas/amount'
                direction:
                  $ref: '#/components/schemas/direction'
                instrument_name:
                  $ref: '#/components/schemas/instrument_name'
              type: object
            type: array
          style: form
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 6
                  jsonrpc: '2.0'
                  method: private/create_combo
                  params:
                    trades:
                      - amount: '1'
                        direction: buy
                        instrument_name: BTC-29APR22-37500-C
                      - amount: '1'
                        direction: sell
                        instrument_name: BTC-29APR22-37500-P
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateCreateComboResponse'
components:
  schemas:
    amount:
      description: >-
        It represents the requested order size. For perpetual and inverse
        futures the amount is in USD units. For options and linear futures it is
        the underlying base currency coin.
      type: number
    direction:
      description: 'Direction: `buy`, or `sell`'
      enum:
        - buy
        - sell
      type: string
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    PrivateCreateComboResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          $ref: '#/components/schemas/combo'
      required:
        - jsonrpc
        - result
      type: object
    combo:
      properties:
        creation_timestamp:
          $ref: '#/components/schemas/timestamp'
        id:
          $ref: '#/components/schemas/combo_id'
        instrument_id:
          $ref: '#/components/schemas/instrument_id'
        legs:
          items:
            $ref: '#/components/schemas/combo_leg'
          type: array
        state:
          $ref: '#/components/schemas/combo_state'
        state_timestamp:
          $ref: '#/components/schemas/timestamp'
      type: object
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    combo_id:
      description: Unique combo identifier
      example: BTC-FS-31DEC21-PERP
      type: string
    instrument_id:
      description: Instrument ID
      type: integer
    combo_leg:
      properties:
        amount:
          $ref: '#/components/schemas/combo_leg_amount'
        instrument_name:
          $ref: '#/components/schemas/instrument_name'
      type: object
    combo_state:
      description: 'Combo state: `"active"`, "`inactive`"'
      enum:
        - active
        - inactive
      type: string
    combo_leg_amount:
      description: >-
        Size multiplier of a leg. A negative value indicates that the trades on
        given leg are in opposite direction to the combo trades they originate
        from
      example: -1
      type: integer
  responses:
    PrivateCreateComboResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 6
                jsonrpc: '2.0'
                result:
                  creation_timestamp: 1650960943000
                  id: BTC-REV-29APR22-37500
                  instrument_id: 52
                  legs:
                    - amount: 1
                      instrument_name: BTC-29APR22-37500-C
                    - amount: -1
                      instrument_name: BTC-29APR22-37500-P
                  state: active
                  state_timestamp: 1650960943922
          schema:
            $ref: '#/components/schemas/PrivateCreateComboResponse'
      description: Success response

````